<div class="sidebar">
    <div [style.paddingTop]="paddingTop" class="sidebar-content">
        <div class="sidebar__up">
            <ul>
                <li *ngIf="authService.isHumanResource || authService.isAdmin || authService.isChairman || authService.isDeputyChairman || authService.isBoardEmployee || authService.isChancellery">
                    <ngb-accordion #acc="ngbAccordion" [activeIds]="activeIdk">
                        <ngb-panel id="dashboard">
                            <ng-template ngbPanelTitle>
                                <svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                  <path d="M8.75997 2.11407C8.48397 2.22807 8.23722 2.47557 7.74297 2.96907C7.24872 3.46407 7.00122 3.71082 6.88797 3.98607C6.81256 4.16808 6.77375 4.36317 6.77375 4.56019C6.77375 4.75721 6.81256 4.9523 6.88797 5.13432C7.00122 5.41032 7.24797 5.65707 7.74297 6.15132C8.23647 6.64557 8.48397 6.89307 8.75997 7.00632C9.12735 7.15841 9.54009 7.15841 9.90747 7.00632C10.1835 6.89307 10.4302 6.64632 10.9245 6.15132C11.4195 5.65707 11.6655 5.41032 11.7795 5.13432C11.9316 4.76694 11.9316 4.3542 11.7795 3.98682C11.6655 3.71082 11.4195 3.46407 10.9245 2.96982C10.4302 2.47482 10.1835 2.22807 9.90747 2.11407C9.54009 1.96198 9.12735 1.96198 8.75997 2.11407ZM3.98622 6.88707C3.71097 7.00107 3.46347 7.24782 2.96997 7.74207C2.47497 8.23707 2.22822 8.48382 2.11422 8.75907C2.03881 8.94108 2 9.13617 2 9.33319C2 9.53021 2.03881 9.7253 2.11422 9.90732C2.22822 10.1833 2.47572 10.4301 2.96922 10.9243C3.46422 11.4186 3.71097 11.6653 3.98622 11.7793C4.16824 11.8547 4.36333 11.8935 4.56035 11.8935C4.75737 11.8935 4.95246 11.8547 5.13447 11.7793C5.41047 11.6653 5.65722 11.4186 6.15147 10.9243C6.64647 10.4301 6.89247 10.1833 7.00647 9.90732C7.15856 9.53994 7.15856 9.1272 7.00647 8.75982C6.89247 8.48382 6.64647 8.23632 6.15147 7.74207C5.65722 7.24782 5.41047 7.00107 5.13447 6.88707C4.76709 6.73498 4.3536 6.73498 3.98622 6.88707ZM12.516 7.74207C12.0217 8.23707 11.775 8.48382 11.661 8.75907C11.5856 8.94108 11.5468 9.13617 11.5468 9.33319C11.5468 9.53021 11.5856 9.7253 11.661 9.90732C11.775 10.1833 12.0217 10.4301 12.516 10.9243C13.0102 11.4186 13.2577 11.6653 13.533 11.7793C13.9004 11.9314 14.3131 11.9314 14.6805 11.7793C14.9565 11.6653 15.204 11.4186 15.6982 10.9243C16.1925 10.4301 16.4385 10.1833 16.5532 9.90732C16.7053 9.53994 16.7053 9.1272 16.5532 8.75982C16.4385 8.48382 16.1925 8.23632 15.6982 7.74207C15.2032 7.24782 14.9565 7.00107 14.6812 6.88707C14.4992 6.81166 14.3041 6.77284 14.1071 6.77284C13.9101 6.77284 13.715 6.81166 13.533 6.88707C13.2577 7.00107 13.0102 7.24782 12.516 7.74207ZM8.75997 11.6601C8.48397 11.7741 8.23722 12.0216 7.74297 12.5151C7.24872 13.0101 7.00122 13.2568 6.88797 13.5328C6.73588 13.9002 6.73588 14.3129 6.88797 14.6803C7.00122 14.9563 7.24797 15.2031 7.74297 15.6973C8.23647 16.1916 8.48397 16.4391 8.75997 16.5523C9.12735 16.7044 9.54009 16.7044 9.90747 16.5523C10.1835 16.4391 10.4302 16.1923 10.9245 15.6973C11.4195 15.2031 11.6655 14.9563 11.7795 14.6803C11.9317 14.3128 11.9317 13.9003 11.7795 13.5328C11.6655 13.2568 11.4195 13.0093 10.9245 12.5158C10.4302 12.0208 10.1835 11.7741 9.90747 11.6601C9.54009 11.508 9.12735 11.508 8.75997 11.6601Z" stroke="black" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/>
                                </svg>
                                {{'sidebar.mainpage' | translate}}
                            </ng-template>
                            <ng-template class="p-0" ngbPanelContent>
                                <div class="nav-link" routerLink="/dashboard/main" routerLinkActive="active">
                                  <i class="bi bi-empty me-3"></i>
                                  {{'sidebar.mainpage' | translate}}
                                </div>
                                <div class="nav-link" routerLink="/dashboard/instructions" routerLinkActive="active">
                                  <i class="bi bi-empty me-3"></i>
                                  {{'sidebar.instructions' | translate}}
                                </div>
                            </ng-template>
                        </ngb-panel>
                    </ngb-accordion>
                </li>
                <li *ngIf="authService.isAdmin">
                    <ngb-accordion #acc="ngbAccordion" [activeIds]="activeIdk">
                        <ngb-panel id="admin">
                            <ng-template ngbPanelTitle>
                                <svg width="18" height="18" fill="none">
                                    <path stroke="#0B0B0B" stroke-miterlimit="10" stroke-width="1.3"
                                        d="M6.19 11.25a3.66 3.66 0 1 0 0-7.31 3.66 3.66 0 0 0 0 7.31Z" />
                                    <path stroke="#0B0B0B" stroke-linecap="round" stroke-linejoin="round"
                                        stroke-width="1.3"
                                        d="M10.93 4.07a3.66 3.66 0 1 1 .99 7.18M1.12 13.88a6.19 6.19 0 0 1 10.13 0" />
                                    <path stroke="#0B0B0B" stroke-linecap="round" stroke-linejoin="round"
                                        stroke-width="1.3" d="M11.92 11.25a6.18 6.18 0 0 1 5.06 2.63" />
                                </svg>
                                {{'sidebar.users' | translate}}
                            </ng-template>
                            <ng-template class="p-0" ngbPanelContent>
                                <div class="nav-link" routerLink="/admin/employee" routerLinkActive="active"><i class="bi bi-person me-3"></i>{{'sidebar.employees' | translate}}
                                </div>
                                <div class="nav-link" routerLink="/admin/customer" routerLinkActive="active"><i class="bi bi-person-fill me-3"></i>{{'sidebar.clients' | translate}}
                                </div>
                            </ng-template>
                        </ngb-panel>
                    </ngb-accordion>
                </li>
                <li *ngIf="!authService.isClient && !authService.isHumanResource">
                    <ngb-accordion #acc="ngbAccordion" [activeIds]="activeIdk">
                        <ngb-panel id="employee">
                            <ng-template ngbPanelTitle>
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-card-list" viewBox="0 0 16 16">
                                    <path d="M14.5 3a.5.5 0 0 1 .5.5v9a.5.5 0 0 1-.5.5h-13a.5.5 0 0 1-.5-.5v-9a.5.5 0 0 1 .5-.5h13zm-13-1A1.5 1.5 0 0 0 0 3.5v9A1.5 1.5 0 0 0 1.5 14h13a1.5 1.5 0 0 0 1.5-1.5v-9A1.5 1.5 0 0 0 14.5 2h-13z"/>
                                    <path d="M5 8a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7A.5.5 0 0 1 5 8zm0-2.5a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7a.5.5 0 0 1-.5-.5zm0 5a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7a.5.5 0 0 1-.5-.5zm-1-5a.5.5 0 1 1-1 0 .5.5 0 0 1 1 0zM4 8a.5.5 0 1 1-1 0 .5.5 0 0 1 1 0zm0 2.5a.5.5 0 1 1-1 0 .5.5 0 0 1 1 0z"/>
                                  </svg>
                                <!-- Заявки на лизинг -->
                                {{ 'sidebar.lease' | translate }}
                            </ng-template>
                            <ng-template class="p-0" ngbPanelContent>
                                <div>
                                    <a class="nav-link" routerLink="/employee" routerLinkActive="active"
                                        [routerLinkActiveOptions]="{ exact: true }"><i class="bi bi-person-lines-fill me-3"></i>{{'sidebar.all-applications' | translate}}</a>
                                </div>
                                <div *ngIf="authService.isEconomicalService || authService.isTopEconomicalService || authService.isChairman">
                                    <a class="nav-link" routerLink="/employee/statistics-budged"
                                        routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">Статистика
                                        бюджета</a>
                                </div>
                            </ng-template>
                        </ngb-panel>
                    </ngb-accordion>
                </li>

                <li *ngIf="!authService.isAdmin && !authService.isClient && !authService.isHumanResource">
                    <ngb-accordion #acc="ngbAccordion">
                        <ngb-panel [disabled]="true">
                            <ng-template ngbPanelTitle>
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-sign-intersection-t" viewBox="0 0 16 16">
                                    <path d="M5 5v1.5h2.25V12h1.5V6.5H11V5H5Z"/>
                                    <path d="M9.05.435c-.58-.58-1.52-.58-2.1 0L.436 6.95c-.58.58-.58 1.519 0 2.098l6.516 6.516c.58.58 1.519.58 2.098 0l6.516-6.516c.58-.58.58-1.519 0-2.098L9.05.435Zm-1.4.7a.495.495 0 0 1 .7 0l6.516 6.515a.495.495 0 0 1 0 .7L8.35 14.866a.495.495 0 0 1-.7 0L1.134 8.35a.495.495 0 0 1 0-.7L7.65 1.134Z"/>
                                  </svg>
                                  {{'sidebar.credit' | translate}}
                            </ng-template>
                            <ng-template class="p-0" ngbPanelContent>
                                <div><a class="nav-link" routerLink=".">{{'sidebar.all-applications' | translate}}</a></div>
                                <div *ngIf="authService.isEconomicalService || authService.isTopEconomicalService || authService.isChairman"><a class="nav-link" routerLink=".">Статистика бюджета</a>
                                </div>
                            </ng-template>
                        </ngb-panel>
                    </ngb-accordion>
                </li>
                <li *ngIf="authService.isClient">
                    <a class="nav-link px-1" routerLink="/customer/my-applications" routerLinkActive="active"><i class="bi bi-display me-3"></i>
                        {{'sidebar.my-applications' | translate}}</a>
                </li>
                <li  *ngIf="authService.isClient"><a class="nav-link px-1" routerLink="/customer/application-type" routerLinkActive="active"><i class="bi bi-clipboard-minus me-3"></i>{{'sidebar.apply' | translate}}</a></li>

                <li *ngIf="authService.isHumanResource || authService.isAdmin || authService.isChairman || authService.isDeputyChairman || authService.isBoardEmployee || authService.isChancellery">
                    <ngb-accordion #acc="ngbAccordion" [activeIds]="activeIdk">
                        <ngb-panel id="human-resource">
                            <ng-template ngbPanelTitle>
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-person-vcard" viewBox="0 0 16 16">
                                    <path d="M5 8a2 2 0 1 0 0-4 2 2 0 0 0 0 4Zm4-2.5a.5.5 0 0 1 .5-.5h4a.5.5 0 0 1 0 1h-4a.5.5 0 0 1-.5-.5ZM9 8a.5.5 0 0 1 .5-.5h4a.5.5 0 0 1 0 1h-4A.5.5 0 0 1 9 8Zm1 2.5a.5.5 0 0 1 .5-.5h3a.5.5 0 0 1 0 1h-3a.5.5 0 0 1-.5-.5Z"/>
                                    <path d="M2 2a2 2 0 0 0-2 2v8a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V4a2 2 0 0 0-2-2H2ZM1 4a1 1 0 0 1 1-1h12a1 1 0 0 1 1 1v8a1 1 0 0 1-1 1H8.96c.026-.163.04-.33.04-.5C9 10.567 7.21 9 5 9c-2.086 0-3.8 1.398-3.984 3.181A1.006 1.006 0 0 1 1 12V4Z"/>
                                  </svg>
                                  {{'sidebar.human-resources' | translate}}
                            </ng-template>
                            <ng-template class="p-0" ngbPanelContent>
                                <div>
                                    <a class="nav-link" routerLink="/human-resource/candidates" routerLinkActive="active"
                                        [routerLinkActiveOptions]="{ exact: true }"><i class="bi bi-people me-3"></i>{{'sidebar.candidates' | translate}}</a>
                                </div>
                                <div>
                                    <a class="nav-link" routerLink="/human-resource/accepted-candidates"
                                        routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }"><i class="bi bi-person-plus me-3"></i>{{'sidebar.recruitment' | translate}}</a>
                                </div>
                                <div>
                                    <a class="nav-link" routerLink="/human-resource/business-trip"
                                        routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }"><i class="bi bi-airplane me-3"></i>{{'sidebar.business-trip' | translate}}</a>
                                </div>
                                <div>
                                    <a class="nav-link" routerLink="/human-resource/vacations"
                                        routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }"><i class="bi bi-brightness-high me-3"></i>{{'sidebar.vacation' | translate}}</a>
                                </div>
                                <div>
                                    <a class="nav-link" routerLink="/human-resource/promotion"
                                        routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }"><i class="bi bi-award me-3"></i>{{'sidebar.promotion' | translate}}</a>
                                </div>
                                <div>
                                    <a class="nav-link" routerLink="/human-resource/absence"
                                        routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }"><i class="bi bi-calendar2-week me-3"></i>{{'sidebar.absence' | translate}}</a>
                                </div>
                                <div>
                                    <a class="nav-link" routerLink="/human-resource/dismissal"
                                        routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }"><i class="bi bi-person-fill-dash me-3"></i>{{'sidebar.dismissal' | translate}}</a>
                                </div>
                            </ng-template>
                        </ngb-panel>
                    </ngb-accordion>
                </li>
                <li *ngIf="!authService.isClient || authService.isAdmin">
                    <ngb-accordion #acc="ngbAccordion" [activeIds]="activeIdk">
                        <ngb-panel id="public-procurement">
                            <ng-template ngbPanelTitle>
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-journal-text" viewBox="0 0 16 16">
                                    <path d="M5 10.5a.5.5 0 0 1 .5-.5h2a.5.5 0 0 1 0 1h-2a.5.5 0 0 1-.5-.5zm0-2a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5zm0-2a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5zm0-2a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z"/>
                                    <path d="M3 0h10a2 2 0 0 1 2 2v12a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2v-1h1v1a1 1 0 0 0 1 1h10a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1H3a1 1 0 0 0-1 1v1H1V2a2 2 0 0 1 2-2z"/>
                                    <path d="M1 5v-.5a.5.5 0 0 1 1 0V5h.5a.5.5 0 0 1 0 1h-2a.5.5 0 0 1 0-1H1zm0 3v-.5a.5.5 0 0 1 1 0V8h.5a.5.5 0 0 1 0 1h-2a.5.5 0 0 1 0-1H1zm0 3v-.5a.5.5 0 0 1 1 0v.5h.5a.5.5 0 0 1 0 1h-2a.5.5 0 0 1 0-1H1z"/>
                                  </svg>
                                  {{'sidebar.purchases' | translate}}
                            </ng-template>
                            <ng-template class="p-0" ngbPanelContent>
                                <div>
                                    <a class="nav-link" routerLink="/public-procurement/all-list" routerLinkActive="active"
                                        [routerLinkActiveOptions]="{ exact: true }"><i class="bi bi-peopl me-3"></i>{{'sidebar.all-applications' | translate}}</a>
                                </div>
                                <div>
                                    <a class="nav-link" routerLink="/public-procurement"
                                        routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }"><i class="bi bi-person-plu me-3"></i>{{'sidebar.new-order' | translate}}</a>
                                </div>
                                <div>
                                    <a class="nav-link" routerLink="/public-procurement"
                                        routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }"><i class="bi bi-airplan me-3"></i>{{'sidebar.inprogress' | translate}}</a>
                                </div>
                                <div>
                                    <a class="nav-link" routerLink="/public-procurement"
                                        routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }"><i class="bi bi-brightness-hig me-3"></i>{{'sidebar.orders' | translate}}</a>
                                </div>
                            </ng-template>
                        </ngb-panel>
                    </ngb-accordion>
                </li>
                <li *ngIf="!authService.isClient">
                    <a class=" nav-link px-1" routerLink="/calendar" routerLinkActive="active"><i class="bi bi-calendar-check me-3"></i>
                        {{'sidebar.calendar' | translate}}</a>
                </li>
                <li>
                    <a class=" nav-link px-1" routerLink="/technical-support" routerLinkActive="active"><i class="bi bi-headset me-3"></i>
                        {{'sidebar.technical-support' | translate}}</a>
                </li>
                <li *ngIf="authService.isAdmin">
                    <a class=" nav-link px-1" routerLink="/system-control" routerLinkActive="active"><i class="bi bi-card-list me-3"></i>
                        {{'sidebar.sysadmin' | translate}}</a>
                </li>
            </ul>
        </div>

        <div class="sidebar__down">
            <ul>
                <li>
                    <div class="nav-link" routerLink="/cabinet/settings" routerLinkActive="active">
                        <svg width="18" height="18" fill="none">
                            <path stroke="#0B0B0B" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10"
                                stroke-width="1.3"
                                d="M3.68 6.44c.12-.27.27-.52.44-.77l-.03-1.82c0-.17.07-.33.2-.45.66-.55 1.4-.99 2.23-1.28a.54.54 0 0 1 .48.05l1.56.94c.3-.02.6-.02.89 0l1.57-.94c.15-.09.32-.11.48-.05.8.28 1.56.71 2.22 1.28.13.1.2.27.2.44l-.03 1.83c.17.24.32.5.45.76l1.6.89c.14.08.25.22.27.4.15.83.16 1.7 0 2.55a.56.56 0 0 1-.28.4l-1.6.88c-.12.27-.27.52-.44.77l.03 1.83c0 .17-.07.33-.2.44-.66.55-1.4 1-2.22 1.29a.54.54 0 0 1-.48-.05l-1.57-.94c-.3.02-.6.02-.89 0L7 15.83a.59.59 0 0 1-.49.05A7.26 7.26 0 0 1 4.3 14.6a.56.56 0 0 1-.2-.45l.03-1.82c-.17-.25-.32-.5-.44-.77l-1.6-.89a.56.56 0 0 1-.28-.39 7.28 7.28 0 0 1 0-2.56c.03-.17.13-.3.28-.4l1.6-.88Z" />
                            <path stroke="#0B0B0B" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10"
                                stroke-width="1.3" d="M9 12.38a3.37 3.37 0 1 0 0-6.75 3.37 3.37 0 0 0 0 6.75Z" />
                        </svg>
                        {{'sidebar.settings' | translate}}
                    </div>
                </li>
                <li>
                    <button class="nav-link" ngbDropdownItem (click)="authService.logout()">
                        <svg width="18" height="18" fill="none">
                            <path stroke="#0B0B0B" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.3"
                                d="M12.24 6.05 15.19 9l-2.95 2.95M7.31 9h7.88M7.31 15.19H3.38a.56.56 0 0 1-.57-.56V3.37a.56.56 0 0 1 .56-.56h3.94" />
                        </svg>
                        {{'sidebar.exit' | translate}}
                    </button>
                </li>
            </ul>
        </div>
    </div>
</div>
